<?php
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
include_once 'sys/inc/thead.php';
title();
aut();
$set['title']='Сканер сайтов';
if (isset($_GET['scan'])){
if (!isset($_POST['url']))$err[]='Ошибка! Вы не ввели адрес!';
$site=htmlspecialchars($_POST['url']);
$url = str_replace("https", "http", $site);
if(!preg_match('#^(http\:\/\/){1}[-a-z0-9_\.]+[-a-z0-9_\.]+[_-a-Z0-9\.]?#i', $url))$err[]='Ошибка! Адрес имеет не верный формат!';
err();
if (!isset($err)){
echo "Код:<br /><textarea cols=\"50\" rows=\"30\" name=\"age\">".@htmlspecialchars(file_get_contents($site))."</textarea><br />";
echo '<a href="' . $site . '"> Перейти на сайт</a><br />';
}
}
if (isset($_GET['copy']))msg('Tadochi'); // ведь это никому не мешает
else echo '<form action="?scan" method="post">Адрес:<br /><input type="text" name="url" value="http://"/><br /><input type="submit" value="Сканировать"/></form>';
include_once 'sys/inc/tfoot.php';
?>